Edit voice
Edit a voice created by you.
Path parameters
voice_id
ID of the voice to be used. You can use the Get voices endpoint list all the available voices.
Headers
xi-api-key
Request
This endpoint expects a multipart form with multiple files.
name
The name that identifies this voice. This will be displayed in the dropdown of the website.
files
Audio files to add to the voice
remove_background_noise
If set will remove background noise for voice samples using our audio isolation model. If the samples do not include background noise, it can make the quality worse.
description
A description of the voice.
labels
Labels for the voice. Keys can be language, accent, gender, or age.
moderate_metadata
Run synchronous LLM moderation over the voice name and description when they change. Has no effect unless the voice_library_metadata_moderation feature flag is enabled for the user.
Response
Successful Response
status
The status of the voice edit request. If the request was successful, the status will be 'ok'. Otherwise an error message with status 500 will be returned.
Errors
422
Unprocessable Entity Error